Subject: [Tigers] Shocks

From: brockctella--- via Tigers <[email-masked]>
Date: Mon, 20 Apr 2015 14:20:32 -0700

Need to replace my Spax shocks, any body have any opinion or thoughts?
I'm aware of Edelbrock sold by CAT and of course Koni, which are pricey.

____________________________________________________________
Old School Yearbook Pics
View Class Yearbooks Online Free. Search by School & Year. Look Now!
http://thirdpartyoffers.juno.com/TGL3141/55356dddb9fbd6ddd2235st03vuc
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]